### Name: launchSonia
### Title: function for exporting networks to SoNIA java package
### Aliases: launchSonia
### Keywords: graphs IO

### ** Examples

             ## Not run: 
##D #BASIC EXAMPLE
##D #this example will only work after updateSonia() has been run
##D # to install the java components of the package.
##D data(fauxSim); # load simulation from fauxHigh ergm
##D fauxDyn <- as.dynamic(fauxSim); #convert to dynamic.network object
##D launchSonia(fauxDyn) # launch sonia in interactive mode
##D 
##D #MORE COMPLEX EXAMPLE
##D #load statnet to do simulation
##D library(statnet);
##D data(fauxhigh);
##D #define a basic model as in statnet example
##D #this is very slow!
##D fauxModel <- ergm(fauxhigh ~ edges + nodefactor("Grade") + nodefactor("Race") +nodefactor("Sex") + nodematch("Grade",diff=T) +nodematch("Race",diff=T) + nodematch("Sex",diff=F) + gwdegree(1.0,fixed=T) + gwesp(1.0,fixed=T) + gwdsp(1.0,fixed=T) );
##D #simulate 20 networks in sequence, seperated by 1000 toggle tries
##D fauxSim2 <- simulate(fauxModel,nsim=20,interval=1000);
##D #convert list of networks from ergm into dynamic network object
##D fauxDyn1000<- as.dynamic(fauxSim2,check.renewal=FALSE);
##D 
##D #convert sex into a vertex attribute of shape names
##D shapes <- get.vertex.attribute(fauxDyn1000,"Sex");
##D shapes <- replace(shapes,shapes==1,"square");
##D shapes <- replace(shapes,shapes==2,"circle");
##D fauxDyn1000 <- set.vertex.attribute(fauxDyn1000,"shapes",shapes);
##D 
##D #convert race into a vertex attribute of aribrary colors
##D set.vertex.attribute(fauxDyn1000,"color",colorize(get.vertex.attribute(fauxDyn1000,"Race")));
##D 
##D #modify some of the settings to be used by sonia for the movie
##D soniaApplySettings$kk.opt.dist[2]<-25;     #specify node spacing
##D soniaApplySettings$kk.comp.connect[2] <- 10;     #specify distance betweeen components
##D soniaGraphicsSettings$layout.height[2]<-500; #increase height of movie
##D 
##D #launch sonia and save out quicktime movie to user specified dir and file name
##D #quicktime movie only works on macs or windows machines
##D #movie file will be ~18 Mb! (very high quality, can be compressed later)
##D launchSonia(fauxDyn1000,
##D max.iter=5000,
##D interactive=FALSE,
##D vertex.col="color",
##D usearrows=FALSE,
##D displaylabels=FALSE,
##D vertex.shape="shape",
##D vertex.cex="Grade",
##D movie.file=file.choose(),
##D movie.type="mov");  
##D   
##D #decrease the number of 'tweening  frames
##D soniaBrowseSettings$num.frames[2]<-10;
##D #export .swf (flash) version of movie, ~700 Kb
##D #this should work on all platforms, but only for short movies
##D launchSonia(fauxDyn1000,
##D max.iter=5000,
##D interactive=FALSE,
##D vertex.col="color",
##D usearrows=FALSE, 
##D displaylabels=FALSE,
##D vertex.shape="shape",
##D vertex.cex="Grade",
##D movie.file=file.choose(),
##D movie.type="swf");
##D 
##D       
## End(Not run)  


